package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[时区]
 */
@Component("ionicdemo_CodeList59CodeList")
public class CodeList59CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList59");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("Etc/GMT+12");
		item0.setId("Etc/GMT+12");
		item0.setText("(UTC-12:00)GMT-12:00");
		item0.setLabel("(UTC-12:00)GMT-12:00");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("Etc/GMT+12",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("Etc/GMT+11");
		item1.setId("Etc/GMT+11");
		item1.setText("(UTC-11:00)GMT-11:00");
		item1.setLabel("(UTC-11:00)GMT-11:00");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("Etc/GMT+11",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("MIT");
		item2.setId("MIT");
		item2.setText("(UTC-11:00)West Samoa Time");
		item2.setLabel("(UTC-11:00)West Samoa Time");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("MIT",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("Pacific/Midway");
		item3.setId("Pacific/Midway");
		item3.setText("(UTC-11:00)Samoa Standard Time");
		item3.setLabel("(UTC-11:00)Samoa Standard Time");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("Pacific/Midway",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("Pacific/Niue");
		item4.setId("Pacific/Niue");
		item4.setText("(UTC-11:00)Niue Time");
		item4.setLabel("(UTC-11:00)Niue Time");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("Pacific/Niue",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("America/Adak");
		item5.setId("America/Adak");
		item5.setText("(UTC-10:00)Hawaii-Aleutian Standard Time");
		item5.setLabel("(UTC-10:00)Hawaii-Aleutian Standard Time");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("America/Adak",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("Etc/GMT+10");
		item6.setId("Etc/GMT+10");
		item6.setText("(UTC-10:00)GMT-10:00");
		item6.setLabel("(UTC-10:00)GMT-10:00");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("Etc/GMT+10",item6);
		CodeItem item7 = new CodeItem();
		item7.setValue("HST");
		item7.setId("HST");
		item7.setText("(UTC-10:00)Hawaii Standard Time");
		item7.setLabel("(UTC-10:00)Hawaii Standard Time");
		codeItemList.add(item7);
		codeList.getCodeItemModelMap().put("HST",item7);
		CodeItem item8 = new CodeItem();
		item8.setValue("Pacific/Fakaofo");
		item8.setId("Pacific/Fakaofo");
		item8.setText("(UTC-10:00)Tokelau Time");
		item8.setLabel("(UTC-10:00)Tokelau Time");
		codeItemList.add(item8);
		codeList.getCodeItemModelMap().put("Pacific/Fakaofo",item8);
		CodeItem item9 = new CodeItem();
		item9.setValue("Pacific/Rarotonga");
		item9.setId("Pacific/Rarotonga");
		item9.setText("(UTC-10:00)Cook Is. Time");
		item9.setLabel("(UTC-10:00)Cook Is. Time");
		codeItemList.add(item9);
		codeList.getCodeItemModelMap().put("Pacific/Rarotonga",item9);
		CodeItem item10 = new CodeItem();
		item10.setValue("Pacific/Tahiti");
		item10.setId("Pacific/Tahiti");
		item10.setText("(UTC-10:00)Tahiti Time");
		item10.setLabel("(UTC-10:00)Tahiti Time");
		codeItemList.add(item10);
		codeList.getCodeItemModelMap().put("Pacific/Tahiti",item10);
		CodeItem item11 = new CodeItem();
		item11.setValue("Pacific/Marquesas");
		item11.setId("Pacific/Marquesas");
		item11.setText("(UTC-9:00)Marquesas Time");
		item11.setLabel("(UTC-9:00)Marquesas Time");
		codeItemList.add(item11);
		codeList.getCodeItemModelMap().put("Pacific/Marquesas",item11);
		CodeItem item12 = new CodeItem();
		item12.setValue("AST");
		item12.setId("AST");
		item12.setText("(UTC-9:00)Alaska Standard Time");
		item12.setLabel("(UTC-9:00)Alaska Standard Time");
		codeItemList.add(item12);
		codeList.getCodeItemModelMap().put("AST",item12);
		CodeItem item13 = new CodeItem();
		item13.setValue("Etc/GMT+9");
		item13.setId("Etc/GMT+9");
		item13.setText("(UTC-9:00)GMT-09:00");
		item13.setLabel("(UTC-9:00)GMT-09:00");
		codeItemList.add(item13);
		codeList.getCodeItemModelMap().put("Etc/GMT+9",item13);
		CodeItem item14 = new CodeItem();
		item14.setValue("Pacific/Gambier");
		item14.setId("Pacific/Gambier");
		item14.setText("(UTC-9:00)Gambier Time");
		item14.setLabel("(UTC-9:00)Gambier Time");
		codeItemList.add(item14);
		codeList.getCodeItemModelMap().put("Pacific/Gambier",item14);
		CodeItem item15 = new CodeItem();
		item15.setValue("America/Dawson");
		item15.setId("America/Dawson");
		item15.setText("(UTC-8:00)Pacific Standard Time");
		item15.setLabel("(UTC-8:00)Pacific Standard Time");
		codeItemList.add(item15);
		codeList.getCodeItemModelMap().put("America/Dawson",item15);
		CodeItem item16 = new CodeItem();
		item16.setValue("Etc/GMT+8");
		item16.setId("Etc/GMT+8");
		item16.setText("(UTC-8:00)GMT-08:00");
		item16.setLabel("(UTC-8:00)GMT-08:00");
		codeItemList.add(item16);
		codeList.getCodeItemModelMap().put("Etc/GMT+8",item16);
		CodeItem item17 = new CodeItem();
		item17.setValue("Pacific/Pitcairn");
		item17.setId("Pacific/Pitcairn");
		item17.setText("(UTC-8:00)Pitcairn Standard Time");
		item17.setLabel("(UTC-8:00)Pitcairn Standard Time");
		codeItemList.add(item17);
		codeList.getCodeItemModelMap().put("Pacific/Pitcairn",item17);
		CodeItem item18 = new CodeItem();
		item18.setValue("America/Boise");
		item18.setId("America/Boise");
		item18.setText("(UTC-7:00)Mountain Standard Time");
		item18.setLabel("(UTC-7:00)Mountain Standard Time");
		codeItemList.add(item18);
		codeList.getCodeItemModelMap().put("America/Boise",item18);
		CodeItem item19 = new CodeItem();
		item19.setValue("Etc/GMT+7");
		item19.setId("Etc/GMT+7");
		item19.setText("(UTC-7:00)GMT-07:00");
		item19.setLabel("(UTC-7:00)GMT-07:00");
		codeItemList.add(item19);
		codeList.getCodeItemModelMap().put("Etc/GMT+7",item19);
		CodeItem item20 = new CodeItem();
		item20.setValue("America/Belize");
		item20.setId("America/Belize");
		item20.setText("(UTC-6:00)Central Standard Time");
		item20.setLabel("(UTC-6:00)Central Standard Time");
		codeItemList.add(item20);
		codeList.getCodeItemModelMap().put("America/Belize",item20);
		CodeItem item21 = new CodeItem();
		item21.setValue("Chile/EasterIsland");
		item21.setId("Chile/EasterIsland");
		item21.setText("(UTC-6:00)Easter Is. Time");
		item21.setLabel("(UTC-6:00)Easter Is. Time");
		codeItemList.add(item21);
		codeList.getCodeItemModelMap().put("Chile/EasterIsland",item21);
		CodeItem item22 = new CodeItem();
		item22.setValue("Etc/GMT+6");
		item22.setId("Etc/GMT+6");
		item22.setText("(UTC-6:00)GMT-06:00");
		item22.setLabel("(UTC-6:00)GMT-06:00");
		codeItemList.add(item22);
		codeList.getCodeItemModelMap().put("Etc/GMT+6",item22);
		CodeItem item23 = new CodeItem();
		item23.setValue("Pacific/Galapagos");
		item23.setId("Pacific/Galapagos");
		item23.setText("(UTC-6:00)Galapagos Time");
		item23.setLabel("(UTC-6:00)Galapagos Time");
		codeItemList.add(item23);
		codeList.getCodeItemModelMap().put("Pacific/Galapagos",item23);
		CodeItem item24 = new CodeItem();
		item24.setValue("America/Atikokan");
		item24.setId("America/Atikokan");
		item24.setText("(UTC-5:00)Eastern Standard Time");
		item24.setLabel("(UTC-5:00)Eastern Standard Time");
		codeItemList.add(item24);
		codeList.getCodeItemModelMap().put("America/Atikokan",item24);
		CodeItem item25 = new CodeItem();
		item25.setValue("America/Bogota");
		item25.setId("America/Bogota");
		item25.setText("(UTC-5:00)Colombia Time");
		item25.setLabel("(UTC-5:00)Colombia Time");
		codeItemList.add(item25);
		codeList.getCodeItemModelMap().put("America/Bogota",item25);
		CodeItem item26 = new CodeItem();
		item26.setValue("America/Eirunepe");
		item26.setId("America/Eirunepe");
		item26.setText("(UTC-5:00)Acre Time");
		item26.setLabel("(UTC-5:00)Acre Time");
		codeItemList.add(item26);
		codeList.getCodeItemModelMap().put("America/Eirunepe",item26);
		CodeItem item27 = new CodeItem();
		item27.setValue("America/Guayaquil");
		item27.setId("America/Guayaquil");
		item27.setText("(UTC-5:00)Ecuador Time");
		item27.setLabel("(UTC-5:00)Ecuador Time");
		codeItemList.add(item27);
		codeList.getCodeItemModelMap().put("America/Guayaquil",item27);
		CodeItem item28 = new CodeItem();
		item28.setValue("America/Havana");
		item28.setId("America/Havana");
		item28.setText("(UTC-5:00)Cuba Standard Time");
		item28.setLabel("(UTC-5:00)Cuba Standard Time");
		codeItemList.add(item28);
		codeList.getCodeItemModelMap().put("America/Havana",item28);
		CodeItem item29 = new CodeItem();
		item29.setValue("America/Lima");
		item29.setId("America/Lima");
		item29.setText("(UTC-5:00)Peru Time");
		item29.setLabel("(UTC-5:00)Peru Time");
		codeItemList.add(item29);
		codeList.getCodeItemModelMap().put("America/Lima",item29);
		CodeItem item30 = new CodeItem();
		item30.setValue("Etc/GMT+5");
		item30.setId("Etc/GMT+5");
		item30.setText("(UTC-5:00)GMT-05:00");
		item30.setLabel("(UTC-5:00)GMT-05:00");
		codeItemList.add(item30);
		codeList.getCodeItemModelMap().put("Etc/GMT+5",item30);
		CodeItem item31 = new CodeItem();
		item31.setValue("America/Caracas");
		item31.setId("America/Caracas");
		item31.setText("(UTC-4:00)Venezuela Time");
		item31.setLabel("(UTC-4:00)Venezuela Time");
		codeItemList.add(item31);
		codeList.getCodeItemModelMap().put("America/Caracas",item31);
		CodeItem item32 = new CodeItem();
		item32.setValue("America/Anguilla");
		item32.setId("America/Anguilla");
		item32.setText("(UTC-4:00)Atlantic Standard Time");
		item32.setLabel("(UTC-4:00)Atlantic Standard Time");
		codeItemList.add(item32);
		codeList.getCodeItemModelMap().put("America/Anguilla",item32);
		CodeItem item33 = new CodeItem();
		item33.setValue("America/Asuncion");
		item33.setId("America/Asuncion");
		item33.setText("(UTC-4:00)Paraguay Time");
		item33.setLabel("(UTC-4:00)Paraguay Time");
		codeItemList.add(item33);
		codeList.getCodeItemModelMap().put("America/Asuncion",item33);
		CodeItem item34 = new CodeItem();
		item34.setValue("America/Boa_Vista");
		item34.setId("America/Boa_Vista");
		item34.setText("(UTC-4:00)Amazon Time");
		item34.setLabel("(UTC-4:00)Amazon Time");
		codeItemList.add(item34);
		codeList.getCodeItemModelMap().put("America/Boa_Vista",item34);
		CodeItem item35 = new CodeItem();
		item35.setValue("America/Guyana");
		item35.setId("America/Guyana");
		item35.setText("(UTC-4:00)Guyana Time");
		item35.setLabel("(UTC-4:00)Guyana Time");
		codeItemList.add(item35);
		codeList.getCodeItemModelMap().put("America/Guyana",item35);
		CodeItem item36 = new CodeItem();
		item36.setValue("America/La_Paz");
		item36.setId("America/La_Paz");
		item36.setText("(UTC-4:00)Bolivia Time");
		item36.setLabel("(UTC-4:00)Bolivia Time");
		codeItemList.add(item36);
		codeList.getCodeItemModelMap().put("America/La_Paz",item36);
		CodeItem item37 = new CodeItem();
		item37.setValue("America/Santiago");
		item37.setId("America/Santiago");
		item37.setText("(UTC-4:00)Chile Time");
		item37.setLabel("(UTC-4:00)Chile Time");
		codeItemList.add(item37);
		codeList.getCodeItemModelMap().put("America/Santiago",item37);
		CodeItem item38 = new CodeItem();
		item38.setValue("Atlantic/Stanley");
		item38.setId("Atlantic/Stanley");
		item38.setText("(UTC-4:00)Falkland Is. Time");
		item38.setLabel("(UTC-4:00)Falkland Is. Time");
		codeItemList.add(item38);
		codeList.getCodeItemModelMap().put("Atlantic/Stanley",item38);
		CodeItem item39 = new CodeItem();
		item39.setValue("Etc/GMT+4");
		item39.setId("Etc/GMT+4");
		item39.setText("(UTC-4:00)GMT-04:00");
		item39.setLabel("(UTC-4:00)GMT-04:00");
		codeItemList.add(item39);
		codeList.getCodeItemModelMap().put("Etc/GMT+4",item39);
		CodeItem item40 = new CodeItem();
		item40.setValue("America/St_Johns");
		item40.setId("America/St_Johns");
		item40.setText("(UTC-3:00)Newfoundland Standard Time");
		item40.setLabel("(UTC-3:00)Newfoundland Standard Time");
		codeItemList.add(item40);
		codeList.getCodeItemModelMap().put("America/St_Johns",item40);
		CodeItem item41 = new CodeItem();
		item41.setValue("AGT");
		item41.setId("AGT");
		item41.setText("(UTC-3:00)Argentine Time");
		item41.setLabel("(UTC-3:00)Argentine Time");
		codeItemList.add(item41);
		codeList.getCodeItemModelMap().put("AGT",item41);
		CodeItem item42 = new CodeItem();
		item42.setValue("America/Araguaina");
		item42.setId("America/Araguaina");
		item42.setText("(UTC-3:00)Brasilia Time");
		item42.setLabel("(UTC-3:00)Brasilia Time");
		codeItemList.add(item42);
		codeList.getCodeItemModelMap().put("America/Araguaina",item42);
		CodeItem item43 = new CodeItem();
		item43.setValue("America/Cayenne");
		item43.setId("America/Cayenne");
		item43.setText("(UTC-3:00)French Guiana Time");
		item43.setLabel("(UTC-3:00)French Guiana Time");
		codeItemList.add(item43);
		codeList.getCodeItemModelMap().put("America/Cayenne",item43);
		CodeItem item44 = new CodeItem();
		item44.setValue("America/Godthab");
		item44.setId("America/Godthab");
		item44.setText("(UTC-3:00)Western Greenland Time");
		item44.setLabel("(UTC-3:00)Western Greenland Time");
		codeItemList.add(item44);
		codeList.getCodeItemModelMap().put("America/Godthab",item44);
		CodeItem item45 = new CodeItem();
		item45.setValue("America/Miquelon");
		item45.setId("America/Miquelon");
		item45.setText("(UTC-3:00)Pierre & Miquelon Standard Time");
		item45.setLabel("(UTC-3:00)Pierre & Miquelon Standard Time");
		codeItemList.add(item45);
		codeList.getCodeItemModelMap().put("America/Miquelon",item45);
		CodeItem item46 = new CodeItem();
		item46.setValue("America/Montevideo");
		item46.setId("America/Montevideo");
		item46.setText("(UTC-3:00)Uruguay Time");
		item46.setLabel("(UTC-3:00)Uruguay Time");
		codeItemList.add(item46);
		codeList.getCodeItemModelMap().put("America/Montevideo",item46);
		CodeItem item47 = new CodeItem();
		item47.setValue("America/Paramaribo");
		item47.setId("America/Paramaribo");
		item47.setText("(UTC-3:00)Suriname Time");
		item47.setLabel("(UTC-3:00)Suriname Time");
		codeItemList.add(item47);
		codeList.getCodeItemModelMap().put("America/Paramaribo",item47);
		CodeItem item48 = new CodeItem();
		item48.setValue("Antarctica/Rothera");
		item48.setId("Antarctica/Rothera");
		item48.setText("(UTC-3:00)Rothera Time");
		item48.setLabel("(UTC-3:00)Rothera Time");
		codeItemList.add(item48);
		codeList.getCodeItemModelMap().put("Antarctica/Rothera",item48);
		CodeItem item49 = new CodeItem();
		item49.setValue("Etc/GMT+3");
		item49.setId("Etc/GMT+3");
		item49.setText("(UTC-3:00)GMT-03:00");
		item49.setLabel("(UTC-3:00)GMT-03:00");
		codeItemList.add(item49);
		codeList.getCodeItemModelMap().put("Etc/GMT+3",item49);
		CodeItem item50 = new CodeItem();
		item50.setValue("America/Noronha");
		item50.setId("America/Noronha");
		item50.setText("(UTC-2:00)Fernando de Noronha Time");
		item50.setLabel("(UTC-2:00)Fernando de Noronha Time");
		codeItemList.add(item50);
		codeList.getCodeItemModelMap().put("America/Noronha",item50);
		CodeItem item51 = new CodeItem();
		item51.setValue("Atlantic/South_Georgia");
		item51.setId("Atlantic/South_Georgia");
		item51.setText("(UTC-2:00)South Georgia Standard Time");
		item51.setLabel("(UTC-2:00)South Georgia Standard Time");
		codeItemList.add(item51);
		codeList.getCodeItemModelMap().put("Atlantic/South_Georgia",item51);
		CodeItem item52 = new CodeItem();
		item52.setValue("Etc/GMT+2");
		item52.setId("Etc/GMT+2");
		item52.setText("(UTC-2:00)GMT-02:00");
		item52.setLabel("(UTC-2:00)GMT-02:00");
		codeItemList.add(item52);
		codeList.getCodeItemModelMap().put("Etc/GMT+2",item52);
		CodeItem item53 = new CodeItem();
		item53.setValue("America/Scoresbysund");
		item53.setId("America/Scoresbysund");
		item53.setText("(UTC-1:00)Eastern Greenland Time");
		item53.setLabel("(UTC-1:00)Eastern Greenland Time");
		codeItemList.add(item53);
		codeList.getCodeItemModelMap().put("America/Scoresbysund",item53);
		CodeItem item54 = new CodeItem();
		item54.setValue("Atlantic/Azores");
		item54.setId("Atlantic/Azores");
		item54.setText("(UTC-1:00)Azores Time");
		item54.setLabel("(UTC-1:00)Azores Time");
		codeItemList.add(item54);
		codeList.getCodeItemModelMap().put("Atlantic/Azores",item54);
		CodeItem item55 = new CodeItem();
		item55.setValue("Atlantic/Cape_Verde");
		item55.setId("Atlantic/Cape_Verde");
		item55.setText("(UTC-1:00)Cape Verde Time");
		item55.setLabel("(UTC-1:00)Cape Verde Time");
		codeItemList.add(item55);
		codeList.getCodeItemModelMap().put("Atlantic/Cape_Verde",item55);
		CodeItem item56 = new CodeItem();
		item56.setValue("Etc/GMT+1");
		item56.setId("Etc/GMT+1");
		item56.setText("(UTC-1:00)GMT-01:00");
		item56.setLabel("(UTC-1:00)GMT-01:00");
		codeItemList.add(item56);
		codeList.getCodeItemModelMap().put("Etc/GMT+1",item56);
		CodeItem item57 = new CodeItem();
		item57.setValue("Africa/Abidjan");
		item57.setId("Africa/Abidjan");
		item57.setText("(UTC0:00)Greenwich Mean Time");
		item57.setLabel("(UTC0:00)Greenwich Mean Time");
		codeItemList.add(item57);
		codeList.getCodeItemModelMap().put("Africa/Abidjan",item57);
		CodeItem item58 = new CodeItem();
		item58.setValue("Africa/Accra");
		item58.setId("Africa/Accra");
		item58.setText("(UTC0:00)Ghana Mean Time");
		item58.setLabel("(UTC0:00)Ghana Mean Time");
		codeItemList.add(item58);
		codeList.getCodeItemModelMap().put("Africa/Accra",item58);
		CodeItem item59 = new CodeItem();
		item59.setValue("Africa/Casablanca");
		item59.setId("Africa/Casablanca");
		item59.setText("(UTC0:00)Western European Time");
		item59.setLabel("(UTC0:00)Western European Time");
		codeItemList.add(item59);
		codeList.getCodeItemModelMap().put("Africa/Casablanca",item59);
		CodeItem item60 = new CodeItem();
		item60.setValue("Etc/GMT");
		item60.setId("Etc/GMT");
		item60.setText("(UTC0:00)GMT+00:00");
		item60.setLabel("(UTC0:00)GMT+00:00");
		codeItemList.add(item60);
		codeList.getCodeItemModelMap().put("Etc/GMT",item60);
		CodeItem item61 = new CodeItem();
		item61.setValue("Etc/UCT");
		item61.setId("Etc/UCT");
		item61.setText("(UTC0:00)Coordinated Universal Time");
		item61.setLabel("(UTC0:00)Coordinated Universal Time");
		codeItemList.add(item61);
		codeList.getCodeItemModelMap().put("Etc/UCT",item61);
		CodeItem item62 = new CodeItem();
		item62.setValue("Africa/Algiers");
		item62.setId("Africa/Algiers");
		item62.setText("(UTC+1:00)Central European Time");
		item62.setLabel("(UTC+1:00)Central European Time");
		codeItemList.add(item62);
		codeList.getCodeItemModelMap().put("Africa/Algiers",item62);
		CodeItem item63 = new CodeItem();
		item63.setValue("Africa/Bangui");
		item63.setId("Africa/Bangui");
		item63.setText("(UTC+1:00)Western African Time");
		item63.setLabel("(UTC+1:00)Western African Time");
		codeItemList.add(item63);
		codeList.getCodeItemModelMap().put("Africa/Bangui",item63);
		CodeItem item64 = new CodeItem();
		item64.setValue("Etc/GMT-1");
		item64.setId("Etc/GMT-1");
		item64.setText("(UTC+1:00)GMT+01:00");
		item64.setLabel("(UTC+1:00)GMT+01:00");
		codeItemList.add(item64);
		codeList.getCodeItemModelMap().put("Etc/GMT-1",item64);
		CodeItem item65 = new CodeItem();
		item65.setValue("MET");
		item65.setId("MET");
		item65.setText("(UTC+1:00)Middle Europe Time");
		item65.setLabel("(UTC+1:00)Middle Europe Time");
		codeItemList.add(item65);
		codeList.getCodeItemModelMap().put("MET",item65);
		CodeItem item66 = new CodeItem();
		item66.setValue("ART");
		item66.setId("ART");
		item66.setText("(UTC+2:00)Eastern European Time");
		item66.setLabel("(UTC+2:00)Eastern European Time");
		codeItemList.add(item66);
		codeList.getCodeItemModelMap().put("ART",item66);
		CodeItem item67 = new CodeItem();
		item67.setValue("Africa/Blantyre");
		item67.setId("Africa/Blantyre");
		item67.setText("(UTC+2:00)Central African Time");
		item67.setLabel("(UTC+2:00)Central African Time");
		codeItemList.add(item67);
		codeList.getCodeItemModelMap().put("Africa/Blantyre",item67);
		CodeItem item68 = new CodeItem();
		item68.setValue("Africa/Johannesburg");
		item68.setId("Africa/Johannesburg");
		item68.setText("(UTC+2:00)South Africa Standard Time");
		item68.setLabel("(UTC+2:00)South Africa Standard Time");
		codeItemList.add(item68);
		codeList.getCodeItemModelMap().put("Africa/Johannesburg",item68);
		CodeItem item69 = new CodeItem();
		item69.setValue("Asia/Jerusalem");
		item69.setId("Asia/Jerusalem");
		item69.setText("(UTC+2:00)Israel Standard Time");
		item69.setLabel("(UTC+2:00)Israel Standard Time");
		codeItemList.add(item69);
		codeList.getCodeItemModelMap().put("Asia/Jerusalem",item69);
		CodeItem item70 = new CodeItem();
		item70.setValue("Etc/GMT-2");
		item70.setId("Etc/GMT-2");
		item70.setText("(UTC+2:00)GMT+02:00");
		item70.setLabel("(UTC+2:00)GMT+02:00");
		codeItemList.add(item70);
		codeList.getCodeItemModelMap().put("Etc/GMT-2",item70);
		CodeItem item71 = new CodeItem();
		item71.setValue("Africa/Addis_Ababa");
		item71.setId("Africa/Addis_Ababa");
		item71.setText("(UTC+3:00)Eastern African Time");
		item71.setLabel("(UTC+3:00)Eastern African Time");
		codeItemList.add(item71);
		codeList.getCodeItemModelMap().put("Africa/Addis_Ababa",item71);
		CodeItem item72 = new CodeItem();
		item72.setValue("Antarctica/Syowa");
		item72.setId("Antarctica/Syowa");
		item72.setText("(UTC+3:00)Syowa Time");
		item72.setLabel("(UTC+3:00)Syowa Time");
		codeItemList.add(item72);
		codeList.getCodeItemModelMap().put("Antarctica/Syowa",item72);
		CodeItem item73 = new CodeItem();
		item73.setValue("Asia/Aden");
		item73.setId("Asia/Aden");
		item73.setText("(UTC+3:00)Arabia Standard Time");
		item73.setLabel("(UTC+3:00)Arabia Standard Time");
		codeItemList.add(item73);
		codeList.getCodeItemModelMap().put("Asia/Aden",item73);
		CodeItem item74 = new CodeItem();
		item74.setValue("Etc/GMT-3");
		item74.setId("Etc/GMT-3");
		item74.setText("(UTC+3:00)GMT+03:00");
		item74.setLabel("(UTC+3:00)GMT+03:00");
		codeItemList.add(item74);
		codeList.getCodeItemModelMap().put("Etc/GMT-3",item74);
		CodeItem item75 = new CodeItem();
		item75.setValue("Europe/Moscow");
		item75.setId("Europe/Moscow");
		item75.setText("(UTC+3:00)Moscow Standard Time");
		item75.setLabel("(UTC+3:00)Moscow Standard Time");
		codeItemList.add(item75);
		codeList.getCodeItemModelMap().put("Europe/Moscow",item75);
		CodeItem item76 = new CodeItem();
		item76.setValue("Europe/Volgograd");
		item76.setId("Europe/Volgograd");
		item76.setText("(UTC+3:00)Volgograd Time");
		item76.setLabel("(UTC+3:00)Volgograd Time");
		codeItemList.add(item76);
		codeList.getCodeItemModelMap().put("Europe/Volgograd",item76);
		CodeItem item77 = new CodeItem();
		item77.setValue("Asia/Riyadh87");
		item77.setId("Asia/Riyadh87");
		item77.setText("(UTC+3:00)GMT+03:07");
		item77.setLabel("(UTC+3:00)GMT+03:07");
		codeItemList.add(item77);
		codeList.getCodeItemModelMap().put("Asia/Riyadh87",item77);
		CodeItem item78 = new CodeItem();
		item78.setValue("Asia/Tehran");
		item78.setId("Asia/Tehran");
		item78.setText("(UTC+3:00)Iran Standard Time");
		item78.setLabel("(UTC+3:00)Iran Standard Time");
		codeItemList.add(item78);
		codeList.getCodeItemModelMap().put("Asia/Tehran",item78);
		CodeItem item79 = new CodeItem();
		item79.setValue("Asia/Baku");
		item79.setId("Asia/Baku");
		item79.setText("(UTC+4:00)Azerbaijan Time");
		item79.setLabel("(UTC+4:00)Azerbaijan Time");
		codeItemList.add(item79);
		codeList.getCodeItemModelMap().put("Asia/Baku",item79);
		CodeItem item80 = new CodeItem();
		item80.setValue("Asia/Dubai");
		item80.setId("Asia/Dubai");
		item80.setText("(UTC+4:00)Gulf Standard Time");
		item80.setLabel("(UTC+4:00)Gulf Standard Time");
		codeItemList.add(item80);
		codeList.getCodeItemModelMap().put("Asia/Dubai",item80);
		CodeItem item81 = new CodeItem();
		item81.setValue("Asia/Tbilisi");
		item81.setId("Asia/Tbilisi");
		item81.setText("(UTC+4:00)Georgia Time");
		item81.setLabel("(UTC+4:00)Georgia Time");
		codeItemList.add(item81);
		codeList.getCodeItemModelMap().put("Asia/Tbilisi",item81);
		CodeItem item82 = new CodeItem();
		item82.setValue("Asia/Yerevan");
		item82.setId("Asia/Yerevan");
		item82.setText("(UTC+4:00)Armenia Time");
		item82.setLabel("(UTC+4:00)Armenia Time");
		codeItemList.add(item82);
		codeList.getCodeItemModelMap().put("Asia/Yerevan",item82);
		CodeItem item83 = new CodeItem();
		item83.setValue("Etc/GMT-4");
		item83.setId("Etc/GMT-4");
		item83.setText("(UTC+4:00)GMT+04:00");
		item83.setLabel("(UTC+4:00)GMT+04:00");
		codeItemList.add(item83);
		codeList.getCodeItemModelMap().put("Etc/GMT-4",item83);
		CodeItem item84 = new CodeItem();
		item84.setValue("Europe/Samara");
		item84.setId("Europe/Samara");
		item84.setText("(UTC+4:00)Samara Time");
		item84.setLabel("(UTC+4:00)Samara Time");
		codeItemList.add(item84);
		codeList.getCodeItemModelMap().put("Europe/Samara",item84);
		CodeItem item85 = new CodeItem();
		item85.setValue("Indian/Mahe");
		item85.setId("Indian/Mahe");
		item85.setText("(UTC+4:00)Seychelles Time");
		item85.setLabel("(UTC+4:00)Seychelles Time");
		codeItemList.add(item85);
		codeList.getCodeItemModelMap().put("Indian/Mahe",item85);
		CodeItem item86 = new CodeItem();
		item86.setValue("Indian/Mauritius");
		item86.setId("Indian/Mauritius");
		item86.setText("(UTC+4:00)Mauritius Time");
		item86.setLabel("(UTC+4:00)Mauritius Time");
		codeItemList.add(item86);
		codeList.getCodeItemModelMap().put("Indian/Mauritius",item86);
		CodeItem item87 = new CodeItem();
		item87.setValue("Indian/Reunion");
		item87.setId("Indian/Reunion");
		item87.setText("(UTC+4:00)Reunion Time");
		item87.setLabel("(UTC+4:00)Reunion Time");
		codeItemList.add(item87);
		codeList.getCodeItemModelMap().put("Indian/Reunion",item87);
		CodeItem item88 = new CodeItem();
		item88.setValue("Asia/Kabul");
		item88.setId("Asia/Kabul");
		item88.setText("(UTC+4:00)Afghanistan Time");
		item88.setLabel("(UTC+4:00)Afghanistan Time");
		codeItemList.add(item88);
		codeList.getCodeItemModelMap().put("Asia/Kabul",item88);
		CodeItem item89 = new CodeItem();
		item89.setValue("Asia/Aqtau");
		item89.setId("Asia/Aqtau");
		item89.setText("(UTC+5:00)Aqtau Time");
		item89.setLabel("(UTC+5:00)Aqtau Time");
		codeItemList.add(item89);
		codeList.getCodeItemModelMap().put("Asia/Aqtau",item89);
		CodeItem item90 = new CodeItem();
		item90.setValue("Asia/Aqtobe");
		item90.setId("Asia/Aqtobe");
		item90.setText("(UTC+5:00)Aqtobe Time");
		item90.setLabel("(UTC+5:00)Aqtobe Time");
		codeItemList.add(item90);
		codeList.getCodeItemModelMap().put("Asia/Aqtobe",item90);
		CodeItem item91 = new CodeItem();
		item91.setValue("Asia/Ashgabat");
		item91.setId("Asia/Ashgabat");
		item91.setText("(UTC+5:00)Turkmenistan Time");
		item91.setLabel("(UTC+5:00)Turkmenistan Time");
		codeItemList.add(item91);
		codeList.getCodeItemModelMap().put("Asia/Ashgabat",item91);
		CodeItem item92 = new CodeItem();
		item92.setValue("Asia/Dushanbe");
		item92.setId("Asia/Dushanbe");
		item92.setText("(UTC+5:00)Tajikistan Time");
		item92.setLabel("(UTC+5:00)Tajikistan Time");
		codeItemList.add(item92);
		codeList.getCodeItemModelMap().put("Asia/Dushanbe",item92);
		CodeItem item93 = new CodeItem();
		item93.setValue("Asia/Karachi");
		item93.setId("Asia/Karachi");
		item93.setText("(UTC+5:00)Pakistan Time");
		item93.setLabel("(UTC+5:00)Pakistan Time");
		codeItemList.add(item93);
		codeList.getCodeItemModelMap().put("Asia/Karachi",item93);
		CodeItem item94 = new CodeItem();
		item94.setValue("Asia/Oral");
		item94.setId("Asia/Oral");
		item94.setText("(UTC+5:00)Oral Time");
		item94.setLabel("(UTC+5:00)Oral Time");
		codeItemList.add(item94);
		codeList.getCodeItemModelMap().put("Asia/Oral",item94);
		CodeItem item95 = new CodeItem();
		item95.setValue("Asia/Samarkand");
		item95.setId("Asia/Samarkand");
		item95.setText("(UTC+5:00)Uzbekistan Time");
		item95.setLabel("(UTC+5:00)Uzbekistan Time");
		codeItemList.add(item95);
		codeList.getCodeItemModelMap().put("Asia/Samarkand",item95);
		CodeItem item96 = new CodeItem();
		item96.setValue("Asia/Yekaterinburg");
		item96.setId("Asia/Yekaterinburg");
		item96.setText("(UTC+5:00)Yekaterinburg Time");
		item96.setLabel("(UTC+5:00)Yekaterinburg Time");
		codeItemList.add(item96);
		codeList.getCodeItemModelMap().put("Asia/Yekaterinburg",item96);
		CodeItem item97 = new CodeItem();
		item97.setValue("Etc/GMT-5");
		item97.setId("Etc/GMT-5");
		item97.setText("(UTC+5:00)GMT+05:00");
		item97.setLabel("(UTC+5:00)GMT+05:00");
		codeItemList.add(item97);
		codeList.getCodeItemModelMap().put("Etc/GMT-5",item97);
		CodeItem item98 = new CodeItem();
		item98.setValue("Indian/Kerguelen");
		item98.setId("Indian/Kerguelen");
		item98.setText("(UTC+5:00)French Southern & Antarctic Lands Time");
		item98.setLabel("(UTC+5:00)French Southern & Antarctic Lands Time");
		codeItemList.add(item98);
		codeList.getCodeItemModelMap().put("Indian/Kerguelen",item98);
		CodeItem item99 = new CodeItem();
		item99.setValue("Indian/Maldives");
		item99.setId("Indian/Maldives");
		item99.setText("(UTC+5:00)Maldives Time");
		item99.setLabel("(UTC+5:00)Maldives Time");
		codeItemList.add(item99);
		codeList.getCodeItemModelMap().put("Indian/Maldives",item99);
		CodeItem item100 = new CodeItem();
		item100.setValue("Asia/Calcutta");
		item100.setId("Asia/Calcutta");
		item100.setText("(UTC+5:00)India Standard Time");
		item100.setLabel("(UTC+5:00)India Standard Time");
		codeItemList.add(item100);
		codeList.getCodeItemModelMap().put("Asia/Calcutta",item100);
		CodeItem item101 = new CodeItem();
		item101.setValue("Asia/Katmandu");
		item101.setId("Asia/Katmandu");
		item101.setText("(UTC+5:00)Nepal Time");
		item101.setLabel("(UTC+5:00)Nepal Time");
		codeItemList.add(item101);
		codeList.getCodeItemModelMap().put("Asia/Katmandu",item101);
		CodeItem item102 = new CodeItem();
		item102.setValue("Antarctica/Mawson");
		item102.setId("Antarctica/Mawson");
		item102.setText("(UTC+6:00)Mawson Time");
		item102.setLabel("(UTC+6:00)Mawson Time");
		codeItemList.add(item102);
		codeList.getCodeItemModelMap().put("Antarctica/Mawson",item102);
		CodeItem item103 = new CodeItem();
		item103.setValue("Antarctica/Vostok");
		item103.setId("Antarctica/Vostok");
		item103.setText("(UTC+6:00)Vostok Time");
		item103.setLabel("(UTC+6:00)Vostok Time");
		codeItemList.add(item103);
		codeList.getCodeItemModelMap().put("Antarctica/Vostok",item103);
		CodeItem item104 = new CodeItem();
		item104.setValue("Asia/Almaty");
		item104.setId("Asia/Almaty");
		item104.setText("(UTC+6:00)Alma-Ata Time");
		item104.setLabel("(UTC+6:00)Alma-Ata Time");
		codeItemList.add(item104);
		codeList.getCodeItemModelMap().put("Asia/Almaty",item104);
		CodeItem item105 = new CodeItem();
		item105.setValue("Asia/Bishkek");
		item105.setId("Asia/Bishkek");
		item105.setText("(UTC+6:00)Kirgizstan Time");
		item105.setLabel("(UTC+6:00)Kirgizstan Time");
		codeItemList.add(item105);
		codeList.getCodeItemModelMap().put("Asia/Bishkek",item105);
		CodeItem item106 = new CodeItem();
		item106.setValue("Asia/Dacca");
		item106.setId("Asia/Dacca");
		item106.setText("(UTC+6:00)Bangladesh Time");
		item106.setLabel("(UTC+6:00)Bangladesh Time");
		codeItemList.add(item106);
		codeList.getCodeItemModelMap().put("Asia/Dacca",item106);
		CodeItem item107 = new CodeItem();
		item107.setValue("Asia/Novosibirsk");
		item107.setId("Asia/Novosibirsk");
		item107.setText("(UTC+6:00)Novosibirsk Time");
		item107.setLabel("(UTC+6:00)Novosibirsk Time");
		codeItemList.add(item107);
		codeList.getCodeItemModelMap().put("Asia/Novosibirsk",item107);
		CodeItem item108 = new CodeItem();
		item108.setValue("Asia/Omsk");
		item108.setId("Asia/Omsk");
		item108.setText("(UTC+6:00)Omsk Time");
		item108.setLabel("(UTC+6:00)Omsk Time");
		codeItemList.add(item108);
		codeList.getCodeItemModelMap().put("Asia/Omsk",item108);
		CodeItem item109 = new CodeItem();
		item109.setValue("Asia/Qyzylorda");
		item109.setId("Asia/Qyzylorda");
		item109.setText("(UTC+6:00)Qyzylorda Time");
		item109.setLabel("(UTC+6:00)Qyzylorda Time");
		codeItemList.add(item109);
		codeList.getCodeItemModelMap().put("Asia/Qyzylorda",item109);
		CodeItem item110 = new CodeItem();
		item110.setValue("Asia/Thimbu");
		item110.setId("Asia/Thimbu");
		item110.setText("(UTC+6:00)Bhutan Time");
		item110.setLabel("(UTC+6:00)Bhutan Time");
		codeItemList.add(item110);
		codeList.getCodeItemModelMap().put("Asia/Thimbu",item110);
		CodeItem item111 = new CodeItem();
		item111.setValue("Etc/GMT-6");
		item111.setId("Etc/GMT-6");
		item111.setText("(UTC+6:00)GMT+06:00");
		item111.setLabel("(UTC+6:00)GMT+06:00");
		codeItemList.add(item111);
		codeList.getCodeItemModelMap().put("Etc/GMT-6",item111);
		CodeItem item112 = new CodeItem();
		item112.setValue("Indian/Chagos");
		item112.setId("Indian/Chagos");
		item112.setText("(UTC+6:00)Indian Ocean Territory Time");
		item112.setLabel("(UTC+6:00)Indian Ocean Territory Time");
		codeItemList.add(item112);
		codeList.getCodeItemModelMap().put("Indian/Chagos",item112);
		CodeItem item113 = new CodeItem();
		item113.setValue("Asia/Rangoon");
		item113.setId("Asia/Rangoon");
		item113.setText("(UTC+6:00)Myanmar Time");
		item113.setLabel("(UTC+6:00)Myanmar Time");
		codeItemList.add(item113);
		codeList.getCodeItemModelMap().put("Asia/Rangoon",item113);
		CodeItem item114 = new CodeItem();
		item114.setValue("Indian/Cocos");
		item114.setId("Indian/Cocos");
		item114.setText("(UTC+6:00)Cocos Islands Time");
		item114.setLabel("(UTC+6:00)Cocos Islands Time");
		codeItemList.add(item114);
		codeList.getCodeItemModelMap().put("Indian/Cocos",item114);
		CodeItem item115 = new CodeItem();
		item115.setValue("Antarctica/Davis");
		item115.setId("Antarctica/Davis");
		item115.setText("(UTC+7:00)Davis Time");
		item115.setLabel("(UTC+7:00)Davis Time");
		codeItemList.add(item115);
		codeList.getCodeItemModelMap().put("Antarctica/Davis",item115);
		CodeItem item116 = new CodeItem();
		item116.setValue("Asia/Bangkok");
		item116.setId("Asia/Bangkok");
		item116.setText("(UTC+7:00)Indochina Time");
		item116.setLabel("(UTC+7:00)Indochina Time");
		codeItemList.add(item116);
		codeList.getCodeItemModelMap().put("Asia/Bangkok",item116);
		CodeItem item117 = new CodeItem();
		item117.setValue("Asia/Hovd");
		item117.setId("Asia/Hovd");
		item117.setText("(UTC+7:00)Hovd Time");
		item117.setLabel("(UTC+7:00)Hovd Time");
		codeItemList.add(item117);
		codeList.getCodeItemModelMap().put("Asia/Hovd",item117);
		CodeItem item118 = new CodeItem();
		item118.setValue("Asia/Jakarta");
		item118.setId("Asia/Jakarta");
		item118.setText("(UTC+7:00)West Indonesia Time");
		item118.setLabel("(UTC+7:00)West Indonesia Time");
		codeItemList.add(item118);
		codeList.getCodeItemModelMap().put("Asia/Jakarta",item118);
		CodeItem item119 = new CodeItem();
		item119.setValue("Asia/Krasnoyarsk");
		item119.setId("Asia/Krasnoyarsk");
		item119.setText("(UTC+7:00)Krasnoyarsk Time");
		item119.setLabel("(UTC+7:00)Krasnoyarsk Time");
		codeItemList.add(item119);
		codeList.getCodeItemModelMap().put("Asia/Krasnoyarsk",item119);
		CodeItem item120 = new CodeItem();
		item120.setValue("Etc/GMT-7");
		item120.setId("Etc/GMT-7");
		item120.setText("(UTC+7:00)GMT+07:00");
		item120.setLabel("(UTC+7:00)GMT+07:00");
		codeItemList.add(item120);
		codeList.getCodeItemModelMap().put("Etc/GMT-7",item120);
		CodeItem item121 = new CodeItem();
		item121.setValue("Indian/Christmas");
		item121.setId("Indian/Christmas");
		item121.setText("(UTC+7:00)Christmas Island Time");
		item121.setLabel("(UTC+7:00)Christmas Island Time");
		codeItemList.add(item121);
		codeList.getCodeItemModelMap().put("Indian/Christmas",item121);
		CodeItem item122 = new CodeItem();
		item122.setValue("Antarctica/Casey");
		item122.setId("Antarctica/Casey");
		item122.setText("(UTC+8:00)Western Standard Time (Australia)");
		item122.setLabel("(UTC+8:00)Western Standard Time (Australia)");
		codeItemList.add(item122);
		codeList.getCodeItemModelMap().put("Antarctica/Casey",item122);
		CodeItem item123 = new CodeItem();
		item123.setValue("Asia/Brunei");
		item123.setId("Asia/Brunei");
		item123.setText("(UTC+8:00)Brunei Time");
		item123.setLabel("(UTC+8:00)Brunei Time");
		codeItemList.add(item123);
		codeList.getCodeItemModelMap().put("Asia/Brunei",item123);
		CodeItem item124 = new CodeItem();
		item124.setValue("Asia/Choibalsan");
		item124.setId("Asia/Choibalsan");
		item124.setText("(UTC+8:00)Choibalsan Time");
		item124.setLabel("(UTC+8:00)Choibalsan Time");
		codeItemList.add(item124);
		codeList.getCodeItemModelMap().put("Asia/Choibalsan",item124);
		CodeItem item125 = new CodeItem();
		item125.setValue("Asia/Shanghai");
		item125.setId("Asia/Shanghai");
		item125.setText("(UTC+8:00)China Standard Time");
		item125.setLabel("(UTC+8:00)China Standard Time");
		codeItemList.add(item125);
		codeList.getCodeItemModelMap().put("Asia/Shanghai",item125);
		CodeItem item126 = new CodeItem();
		item126.setValue("Asia/Hong_Kong");
		item126.setId("Asia/Hong_Kong");
		item126.setText("(UTC+8:00)Hong Kong Time");
		item126.setLabel("(UTC+8:00)Hong Kong Time");
		codeItemList.add(item126);
		codeList.getCodeItemModelMap().put("Asia/Hong_Kong",item126);
		CodeItem item127 = new CodeItem();
		item127.setValue("Asia/Irkutsk");
		item127.setId("Asia/Irkutsk");
		item127.setText("(UTC+8:00)Irkutsk Time");
		item127.setLabel("(UTC+8:00)Irkutsk Time");
		codeItemList.add(item127);
		codeList.getCodeItemModelMap().put("Asia/Irkutsk",item127);
		CodeItem item128 = new CodeItem();
		item128.setValue("Asia/Kuala_Lumpur");
		item128.setId("Asia/Kuala_Lumpur");
		item128.setText("(UTC+8:00)Malaysia Time");
		item128.setLabel("(UTC+8:00)Malaysia Time");
		codeItemList.add(item128);
		codeList.getCodeItemModelMap().put("Asia/Kuala_Lumpur",item128);
		CodeItem item129 = new CodeItem();
		item129.setValue("Asia/Makassar");
		item129.setId("Asia/Makassar");
		item129.setText("(UTC+8:00)Central Indonesia Time");
		item129.setLabel("(UTC+8:00)Central Indonesia Time");
		codeItemList.add(item129);
		codeList.getCodeItemModelMap().put("Asia/Makassar",item129);
		CodeItem item130 = new CodeItem();
		item130.setValue("Asia/Manila");
		item130.setId("Asia/Manila");
		item130.setText("(UTC+8:00)Philippines Time");
		item130.setLabel("(UTC+8:00)Philippines Time");
		codeItemList.add(item130);
		codeList.getCodeItemModelMap().put("Asia/Manila",item130);
		CodeItem item131 = new CodeItem();
		item131.setValue("Asia/Singapore");
		item131.setId("Asia/Singapore");
		item131.setText("(UTC+8:00)Singapore Time");
		item131.setLabel("(UTC+8:00)Singapore Time");
		codeItemList.add(item131);
		codeList.getCodeItemModelMap().put("Asia/Singapore",item131);
		CodeItem item132 = new CodeItem();
		item132.setValue("Asia/Ulaanbaatar");
		item132.setId("Asia/Ulaanbaatar");
		item132.setText("(UTC+8:00)Ulaanbaatar Time");
		item132.setLabel("(UTC+8:00)Ulaanbaatar Time");
		codeItemList.add(item132);
		codeList.getCodeItemModelMap().put("Asia/Ulaanbaatar",item132);
		CodeItem item133 = new CodeItem();
		item133.setValue("Etc/GMT-8");
		item133.setId("Etc/GMT-8");
		item133.setText("(UTC+8:00)GMT+08:00");
		item133.setLabel("(UTC+8:00)GMT+08:00");
		codeItemList.add(item133);
		codeList.getCodeItemModelMap().put("Etc/GMT-8",item133);
		CodeItem item134 = new CodeItem();
		item134.setValue("Australia/Eucla");
		item134.setId("Australia/Eucla");
		item134.setText("(UTC+8:00)Central Western Standard Time (Australia)");
		item134.setLabel("(UTC+8:00)Central Western Standard Time (Australia)");
		codeItemList.add(item134);
		codeList.getCodeItemModelMap().put("Australia/Eucla",item134);
		CodeItem item135 = new CodeItem();
		item135.setValue("Asia/Dili");
		item135.setId("Asia/Dili");
		item135.setText("(UTC+9:00)Timor-Leste Time");
		item135.setLabel("(UTC+9:00)Timor-Leste Time");
		codeItemList.add(item135);
		codeList.getCodeItemModelMap().put("Asia/Dili",item135);
		CodeItem item136 = new CodeItem();
		item136.setValue("Asia/Jayapura");
		item136.setId("Asia/Jayapura");
		item136.setText("(UTC+9:00)East Indonesia Time");
		item136.setLabel("(UTC+9:00)East Indonesia Time");
		codeItemList.add(item136);
		codeList.getCodeItemModelMap().put("Asia/Jayapura",item136);
		CodeItem item137 = new CodeItem();
		item137.setValue("Asia/Pyongyang");
		item137.setId("Asia/Pyongyang");
		item137.setText("(UTC+9:00)Korea Standard Time");
		item137.setLabel("(UTC+9:00)Korea Standard Time");
		codeItemList.add(item137);
		codeList.getCodeItemModelMap().put("Asia/Pyongyang",item137);
		CodeItem item138 = new CodeItem();
		item138.setValue("Asia/Tokyo");
		item138.setId("Asia/Tokyo");
		item138.setText("(UTC+9:00)Japan Standard Time");
		item138.setLabel("(UTC+9:00)Japan Standard Time");
		codeItemList.add(item138);
		codeList.getCodeItemModelMap().put("Asia/Tokyo",item138);
		CodeItem item139 = new CodeItem();
		item139.setValue("Asia/Yakutsk");
		item139.setId("Asia/Yakutsk");
		item139.setText("(UTC+9:00)Yakutsk Time");
		item139.setLabel("(UTC+9:00)Yakutsk Time");
		codeItemList.add(item139);
		codeList.getCodeItemModelMap().put("Asia/Yakutsk",item139);
		CodeItem item140 = new CodeItem();
		item140.setValue("Etc/GMT-9");
		item140.setId("Etc/GMT-9");
		item140.setText("(UTC+9:00)GMT+09:00");
		item140.setLabel("(UTC+9:00)GMT+09:00");
		codeItemList.add(item140);
		codeList.getCodeItemModelMap().put("Etc/GMT-9",item140);
		CodeItem item141 = new CodeItem();
		item141.setValue("Pacific/Palau");
		item141.setId("Pacific/Palau");
		item141.setText("(UTC+9:00)Palau Time");
		item141.setLabel("(UTC+9:00)Palau Time");
		codeItemList.add(item141);
		codeList.getCodeItemModelMap().put("Pacific/Palau",item141);
		CodeItem item142 = new CodeItem();
		item142.setValue("ACT");
		item142.setId("ACT");
		item142.setText("(UTC+9:00)Central Standard Time (Northern Territory)");
		item142.setLabel("(UTC+9:00)Central Standard Time (Northern Territory)");
		codeItemList.add(item142);
		codeList.getCodeItemModelMap().put("ACT",item142);
		CodeItem item143 = new CodeItem();
		item143.setValue("Australia/Adelaide");
		item143.setId("Australia/Adelaide");
		item143.setText("(UTC+9:00)Central Standard Time (South Australia)");
		item143.setLabel("(UTC+9:00)Central Standard Time (South Australia)");
		codeItemList.add(item143);
		codeList.getCodeItemModelMap().put("Australia/Adelaide",item143);
		CodeItem item144 = new CodeItem();
		item144.setValue("Australia/Broken_Hill");
		item144.setId("Australia/Broken_Hill");
		item144.setText("(UTC+9:00)Central Standard Time (South Australia/New South Wales)");
		item144.setLabel("(UTC+9:00)Central Standard Time (South Australia/New South Wales)");
		codeItemList.add(item144);
		codeList.getCodeItemModelMap().put("Australia/Broken_Hill",item144);
		CodeItem item145 = new CodeItem();
		item145.setValue("AET");
		item145.setId("AET");
		item145.setText("(UTC+10:00)Eastern Standard Time (New South Wales)");
		item145.setLabel("(UTC+10:00)Eastern Standard Time (New South Wales)");
		codeItemList.add(item145);
		codeList.getCodeItemModelMap().put("AET",item145);
		CodeItem item146 = new CodeItem();
		item146.setValue("Antarctica/DumontDUrville");
		item146.setId("Antarctica/DumontDUrville");
		item146.setText("(UTC+10:00)Dumont-d|Urville Time");
		item146.setLabel("(UTC+10:00)Dumont-d|Urville Time");
		codeItemList.add(item146);
		codeList.getCodeItemModelMap().put("Antarctica/DumontDUrville",item146);
		CodeItem item147 = new CodeItem();
		item147.setValue("Asia/Sakhalin");
		item147.setId("Asia/Sakhalin");
		item147.setText("(UTC+10:00)Sakhalin Time");
		item147.setLabel("(UTC+10:00)Sakhalin Time");
		codeItemList.add(item147);
		codeList.getCodeItemModelMap().put("Asia/Sakhalin",item147);
		CodeItem item148 = new CodeItem();
		item148.setValue("Asia/Vladivostok");
		item148.setId("Asia/Vladivostok");
		item148.setText("(UTC+10:00)Vladivostok Time");
		item148.setLabel("(UTC+10:00)Vladivostok Time");
		codeItemList.add(item148);
		codeList.getCodeItemModelMap().put("Asia/Vladivostok",item148);
		CodeItem item149 = new CodeItem();
		item149.setValue("Australia/Brisbane");
		item149.setId("Australia/Brisbane");
		item149.setText("(UTC+10:00)Eastern Standard Time (Queensland)");
		item149.setLabel("(UTC+10:00)Eastern Standard Time (Queensland)");
		codeItemList.add(item149);
		codeList.getCodeItemModelMap().put("Australia/Brisbane",item149);
		CodeItem item150 = new CodeItem();
		item150.setValue("Australia/Hobart");
		item150.setId("Australia/Hobart");
		item150.setText("(UTC+10:00)Eastern Standard Time (Tasmania)");
		item150.setLabel("(UTC+10:00)Eastern Standard Time (Tasmania)");
		codeItemList.add(item150);
		codeList.getCodeItemModelMap().put("Australia/Hobart",item150);
		CodeItem item151 = new CodeItem();
		item151.setValue("Australia/Melbourne");
		item151.setId("Australia/Melbourne");
		item151.setText("(UTC+10:00)Eastern Standard Time (Victoria)");
		item151.setLabel("(UTC+10:00)Eastern Standard Time (Victoria)");
		codeItemList.add(item151);
		codeList.getCodeItemModelMap().put("Australia/Melbourne",item151);
		CodeItem item152 = new CodeItem();
		item152.setValue("Etc/GMT-10");
		item152.setId("Etc/GMT-10");
		item152.setText("(UTC+10:00)GMT+10:00");
		item152.setLabel("(UTC+10:00)GMT+10:00");
		codeItemList.add(item152);
		codeList.getCodeItemModelMap().put("Etc/GMT-10",item152);
		CodeItem item153 = new CodeItem();
		item153.setValue("Pacific/Guam");
		item153.setId("Pacific/Guam");
		item153.setText("(UTC+10:00)Chamorro Standard Time");
		item153.setLabel("(UTC+10:00)Chamorro Standard Time");
		codeItemList.add(item153);
		codeList.getCodeItemModelMap().put("Pacific/Guam",item153);
		CodeItem item154 = new CodeItem();
		item154.setValue("Pacific/Port_Moresby");
		item154.setId("Pacific/Port_Moresby");
		item154.setText("(UTC+10:00)Papua New Guinea Time");
		item154.setLabel("(UTC+10:00)Papua New Guinea Time");
		codeItemList.add(item154);
		codeList.getCodeItemModelMap().put("Pacific/Port_Moresby",item154);
		CodeItem item155 = new CodeItem();
		item155.setValue("Pacific/Truk");
		item155.setId("Pacific/Truk");
		item155.setText("(UTC+10:00)Truk Time");
		item155.setLabel("(UTC+10:00)Truk Time");
		codeItemList.add(item155);
		codeList.getCodeItemModelMap().put("Pacific/Truk",item155);
		CodeItem item156 = new CodeItem();
		item156.setValue("Australia/LHI");
		item156.setId("Australia/LHI");
		item156.setText("(UTC+10:00)Lord Howe Standard Time");
		item156.setLabel("(UTC+10:00)Lord Howe Standard Time");
		codeItemList.add(item156);
		codeList.getCodeItemModelMap().put("Australia/LHI",item156);
		CodeItem item157 = new CodeItem();
		item157.setValue("Asia/Magadan");
		item157.setId("Asia/Magadan");
		item157.setText("(UTC+11:00)Magadan Time");
		item157.setLabel("(UTC+11:00)Magadan Time");
		codeItemList.add(item157);
		codeList.getCodeItemModelMap().put("Asia/Magadan",item157);
		CodeItem item158 = new CodeItem();
		item158.setValue("Etc/GMT-11");
		item158.setId("Etc/GMT-11");
		item158.setText("(UTC+11:00)GMT+11:00");
		item158.setLabel("(UTC+11:00)GMT+11:00");
		codeItemList.add(item158);
		codeList.getCodeItemModelMap().put("Etc/GMT-11",item158);
		CodeItem item159 = new CodeItem();
		item159.setValue("Pacific/Efate");
		item159.setId("Pacific/Efate");
		item159.setText("(UTC+11:00)Vanuatu Time");
		item159.setLabel("(UTC+11:00)Vanuatu Time");
		codeItemList.add(item159);
		codeList.getCodeItemModelMap().put("Pacific/Efate",item159);
		CodeItem item160 = new CodeItem();
		item160.setValue("Pacific/Guadalcanal");
		item160.setId("Pacific/Guadalcanal");
		item160.setText("(UTC+11:00)Solomon Is. Time");
		item160.setLabel("(UTC+11:00)Solomon Is. Time");
		codeItemList.add(item160);
		codeList.getCodeItemModelMap().put("Pacific/Guadalcanal",item160);
		CodeItem item161 = new CodeItem();
		item161.setValue("Pacific/Kosrae");
		item161.setId("Pacific/Kosrae");
		item161.setText("(UTC+11:00)Kosrae Time");
		item161.setLabel("(UTC+11:00)Kosrae Time");
		codeItemList.add(item161);
		codeList.getCodeItemModelMap().put("Pacific/Kosrae",item161);
		CodeItem item162 = new CodeItem();
		item162.setValue("Pacific/Noumea");
		item162.setId("Pacific/Noumea");
		item162.setText("(UTC+11:00)New Caledonia Time");
		item162.setLabel("(UTC+11:00)New Caledonia Time");
		codeItemList.add(item162);
		codeList.getCodeItemModelMap().put("Pacific/Noumea",item162);
		CodeItem item163 = new CodeItem();
		item163.setValue("Pacific/Ponape");
		item163.setId("Pacific/Ponape");
		item163.setText("(UTC+11:00)Ponape Time");
		item163.setLabel("(UTC+11:00)Ponape Time");
		codeItemList.add(item163);
		codeList.getCodeItemModelMap().put("Pacific/Ponape",item163);
		CodeItem item164 = new CodeItem();
		item164.setValue("Pacific/Norfolk");
		item164.setId("Pacific/Norfolk");
		item164.setText("(UTC+11:00)Norfolk Time");
		item164.setLabel("(UTC+11:00)Norfolk Time");
		codeItemList.add(item164);
		codeList.getCodeItemModelMap().put("Pacific/Norfolk",item164);
		CodeItem item165 = new CodeItem();
		item165.setValue("Antarctica/McMurdo");
		item165.setId("Antarctica/McMurdo");
		item165.setText("(UTC+12:00)New Zealand Standard Time");
		item165.setLabel("(UTC+12:00)New Zealand Standard Time");
		codeItemList.add(item165);
		codeList.getCodeItemModelMap().put("Antarctica/McMurdo",item165);
		CodeItem item166 = new CodeItem();
		item166.setValue("Asia/Anadyr");
		item166.setId("Asia/Anadyr");
		item166.setText("(UTC+12:00)Anadyr Time");
		item166.setLabel("(UTC+12:00)Anadyr Time");
		codeItemList.add(item166);
		codeList.getCodeItemModelMap().put("Asia/Anadyr",item166);
		CodeItem item167 = new CodeItem();
		item167.setValue("Asia/Kamchatka");
		item167.setId("Asia/Kamchatka");
		item167.setText("(UTC+12:00)Petropavlovsk-Kamchatski Time");
		item167.setLabel("(UTC+12:00)Petropavlovsk-Kamchatski Time");
		codeItemList.add(item167);
		codeList.getCodeItemModelMap().put("Asia/Kamchatka",item167);
		CodeItem item168 = new CodeItem();
		item168.setValue("Etc/GMT-12");
		item168.setId("Etc/GMT-12");
		item168.setText("(UTC+12:00)GMT+12:00");
		item168.setLabel("(UTC+12:00)GMT+12:00");
		codeItemList.add(item168);
		codeList.getCodeItemModelMap().put("Etc/GMT-12",item168);
		CodeItem item169 = new CodeItem();
		item169.setValue("Kwajalein");
		item169.setId("Kwajalein");
		item169.setText("(UTC+12:00)Marshall Islands Time");
		item169.setLabel("(UTC+12:00)Marshall Islands Time");
		codeItemList.add(item169);
		codeList.getCodeItemModelMap().put("Kwajalein",item169);
		CodeItem item170 = new CodeItem();
		item170.setValue("Pacific/Fiji");
		item170.setId("Pacific/Fiji");
		item170.setText("(UTC+12:00)Fiji Time");
		item170.setLabel("(UTC+12:00)Fiji Time");
		codeItemList.add(item170);
		codeList.getCodeItemModelMap().put("Pacific/Fiji",item170);
		CodeItem item171 = new CodeItem();
		item171.setValue("Pacific/Funafuti");
		item171.setId("Pacific/Funafuti");
		item171.setText("(UTC+12:00)Tuvalu Time");
		item171.setLabel("(UTC+12:00)Tuvalu Time");
		codeItemList.add(item171);
		codeList.getCodeItemModelMap().put("Pacific/Funafuti",item171);
		CodeItem item172 = new CodeItem();
		item172.setValue("Pacific/Nauru");
		item172.setId("Pacific/Nauru");
		item172.setText("(UTC+12:00)Nauru Time");
		item172.setLabel("(UTC+12:00)Nauru Time");
		codeItemList.add(item172);
		codeList.getCodeItemModelMap().put("Pacific/Nauru",item172);
		CodeItem item173 = new CodeItem();
		item173.setValue("Pacific/Tarawa");
		item173.setId("Pacific/Tarawa");
		item173.setText("(UTC+12:00)Gilbert Is. Time");
		item173.setLabel("(UTC+12:00)Gilbert Is. Time");
		codeItemList.add(item173);
		codeList.getCodeItemModelMap().put("Pacific/Tarawa",item173);
		CodeItem item174 = new CodeItem();
		item174.setValue("Pacific/Wake");
		item174.setId("Pacific/Wake");
		item174.setText("(UTC+12:00)Wake Time");
		item174.setLabel("(UTC+12:00)Wake Time");
		codeItemList.add(item174);
		codeList.getCodeItemModelMap().put("Pacific/Wake",item174);
		CodeItem item175 = new CodeItem();
		item175.setValue("Pacific/Wallis");
		item175.setId("Pacific/Wallis");
		item175.setText("(UTC+12:00)Wallis & Futuna Time");
		item175.setLabel("(UTC+12:00)Wallis & Futuna Time");
		codeItemList.add(item175);
		codeList.getCodeItemModelMap().put("Pacific/Wallis",item175);
		CodeItem item176 = new CodeItem();
		item176.setValue("NZ-CHAT");
		item176.setId("NZ-CHAT");
		item176.setText("(UTC+12:00)Chatham Standard Time");
		item176.setLabel("(UTC+12:00)Chatham Standard Time");
		codeItemList.add(item176);
		codeList.getCodeItemModelMap().put("NZ-CHAT",item176);
		CodeItem item177 = new CodeItem();
		item177.setValue("Etc/GMT-13");
		item177.setId("Etc/GMT-13");
		item177.setText("(UTC+13:00)GMT+13:00");
		item177.setLabel("(UTC+13:00)GMT+13:00");
		codeItemList.add(item177);
		codeList.getCodeItemModelMap().put("Etc/GMT-13",item177);
		CodeItem item178 = new CodeItem();
		item178.setValue("Pacific/Enderbury");
		item178.setId("Pacific/Enderbury");
		item178.setText("(UTC+13:00)Phoenix Is. Time");
		item178.setLabel("(UTC+13:00)Phoenix Is. Time");
		codeItemList.add(item178);
		codeList.getCodeItemModelMap().put("Pacific/Enderbury",item178);
		CodeItem item179 = new CodeItem();
		item179.setValue("Pacific/Tongatapu");
		item179.setId("Pacific/Tongatapu");
		item179.setText("(UTC+13:00)Tonga Time");
		item179.setLabel("(UTC+13:00)Tonga Time");
		codeItemList.add(item179);
		codeList.getCodeItemModelMap().put("Pacific/Tongatapu",item179);
		CodeItem item180 = new CodeItem();
		item180.setValue("Etc/GMT-14");
		item180.setId("Etc/GMT-14");
		item180.setText("(UTC+14:00)GMT+14:00");
		item180.setLabel("(UTC+14:00)GMT+14:00");
		codeItemList.add(item180);
		codeList.getCodeItemModelMap().put("Etc/GMT-14",item180);
		CodeItem item181 = new CodeItem();
		item181.setValue("Pacific/Kiritimati");
		item181.setId("Pacific/Kiritimati");
		item181.setText("(UTC+14:00)Line Is. Time");
		item181.setLabel("(UTC+14:00)Line Is. Time");
		codeItemList.add(item181);
		codeList.getCodeItemModelMap().put("Pacific/Kiritimati",item181);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}